uCANCca - Bug #87

Projects list error if not authenticated.
08/22/2014 03:47 PM - Txinto Vaz

Status: Closed Start date: 08/22/2014
Priority: Normal Due date:

Assignee: Txinto Vaz % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v0.2 Spent time: 0.00 hour
Description

Started GET "/projects" for 10.0.2.2 at 2014-08-22 16:45:36 +0100
Processing by ProjectsController#index as HTML

Rendered projects/index.dryml (67.9ms)
Completed 500 Internal Server Error in 76ms

ActionView: :Template: :Error (undefined method “public' for #<Project:0xeObf604>) :

1: <index-page>

2: <collection: fields="this, members,

3: </collection:>
4: </index-page>

functions, actions">

app/models/project.rb:115:in “view_permitted?'
app/views/taglibs/auto/rapid/pages.dryml
app/views/taglibs/auto/rapid/pages.dryml

app/views/taglibs/front_site.dryml:31:
app/views/taglibs/front_site.dryml:31:
app/views/taglibs/front_site.dryml:29:
app/views/taglibs/front_site.dryml:28:

app/views/taglibs/front_site.dryml:27:

in
in
in
in
in

app/views/taglibs/auto/rapid/pages.dryml
app/views/taglibs/auto/rapid/pages.dryml
app/views/projects/index.dryml:1:in “block in render_page'
app/views/projects/index.dryml:1:in " render_page'

app/views/projects/index.dryml:1:in

:3062:1in “block (4 levels) in index_page__for_project'
:3055:in “block (3 levels) in index_page__for_project'
“call!

"block (3 levels) in page_with_a3332a62807e'

"block (2 levels) in page_with_a3332a62807e'

"block in page_with_a3332a62807e'
‘page_with_a3332a62807e"

:3038:1in “block in index_page_ for_project'

:3037:1in "~ index_page__ for_project'

' _app_views_projects_index_dryml 980011718_104323710"

History

#1 - 08/22/2014 04:35 PM - Txinto Vaz
- Status changed from New to In Progress
- Assignee set to Txinto Vaz

- Target version set to v0.2

#2 - 08/22/2014 04:35 PM - Txinto Vaz
- % Done changed from 0 to 100

#3 - 08/22/2014 04:35 PM - Txinto Vaz

- Status changed from In Progress to Resolved

#4 - 08/22/2014 04:35 PM - Txinto Vaz

- Status changed from Resolved to Closed
